import { Page } from '@playwright/test';
import { BasePage } from '../BasePage/BasePage';
export declare class LoginPage extends BasePage {
    private emailInput;
    private passwordInput;
    private submitButton;
    private LoginWithCertificateCSP;
    constructor(page: Page);
    gotoLogin(): Promise<void>;
    login(email: string, password: string): Promise<void>;
    loginWithCertificate(certHolder: string): Promise<void>;
}
